Package com.avaya.clientservices.call

## Enum VideoResolutionForMultiVideoStreaming

- java.lang.Object
- - java.lang.Enum<VideoResolutionForMultiVideoStreaming>
  - - com.avaya.clientservices.call.VideoResolutionForMultiVideoStreaming

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoResolutionForMultiVideoStreaming>`

      public enum VideoResolutionForMultiVideoStreaming
      extends java.lang.Enum<VideoResolutionForMultiVideoStreaming>

  Enumeration of video resolutions supported for multi video streaming conference calls.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RESOLUTION_180P` |
    `RESOLUTION_360P` |
    `RESOLUTION_720P` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoResolutionForMultiVideoStreaming` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoResolutionForMultiVideoStreaming[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESOLUTION_180P

          public static final VideoResolutionForMultiVideoStreaming RESOLUTION_180P

    - #### RESOLUTION_360P

          public static final VideoResolutionForMultiVideoStreaming RESOLUTION_360P

    - #### RESOLUTION_720P

          public static final VideoResolutionForMultiVideoStreaming RESOLUTION_720P

  - ### Method Detail

    - #### values

          public static VideoResolutionForMultiVideoStreaming[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoResolutionForMultiVideoStreaming c : VideoResolutionForMultiVideoStreaming.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoResolutionForMultiVideoStreaming valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null